Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class MessagePropertiesTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.MessagePropertiesTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MessagePropertiesType<T>

    public class MessagePropertiesTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MessagePropertiesType<T>

This class implements the `message-propertiesType` xsd type

Original Documentation:

Element for defining JMS message properties (e.g. persistence, priority)
for a consumer bean Used in: consumer

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MessagePropertiesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MessagePropertiesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getDelivery()` Returns the `delivery` element
`java.lang.Integer` | `getPriority()` Returns the `priority` element
`MethodType<MessagePropertiesType<T>>` | `method()` If not already created, a new `method` element will be created and returned.
`MessagePropertiesType<T>` | `removeClazz()` Removes the `class` element
`MessagePropertiesType<T>` | `removeDelivery()` Removes the `delivery` element
`MessagePropertiesType<T>` | `removeMethod()` Removes the `method` element
`MessagePropertiesType<T>` | `removePriority()` Removes the `priority` element
`MessagePropertiesType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`MessagePropertiesType<T>` | `setDelivery(java.lang.String delivery)` If not already created, a new `delivery` element with the given value will be created.
`MessagePropertiesType<T>` | `setPriority(java.lang.Integer priority)` If not already created, a new `priority` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePropertiesTypeImpl

    public MessagePropertiesTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node)

### MessagePropertiesTypeImpl

    public MessagePropertiesTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node,
                                     org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setClazz

    public MessagePropertiesType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Specified by:
    `setClazz` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### removeClazz

    public MessagePropertiesType<T> removeClazz()

  Removes the `class` element

  Specified by:
    `removeClazz` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### getClazz

    public java.lang.String getClazz()

  Returns the `class` element

  Specified by:
    `getClazz` in interface `MessagePropertiesType<T>`
  Returns:
    the node defined for the element `class`

### removeMethod

    public MessagePropertiesType<T> removeMethod()

  Removes the `method` element

  Specified by:
    `removeMethod` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### method

    public MethodType<MessagePropertiesType<T>> method()

  If not already created, a new `method` element will be created and returned. Otherwise, the existing `method` element will be returned.

  Specified by:
    `method` in interface `MessagePropertiesType<T>`
  Returns:
    the node defined for the element `method`

### setDelivery

    public MessagePropertiesType<T> setDelivery(java.lang.String delivery)

  If not already created, a new `delivery` element with the given value will be created. Otherwise, the existing `delivery` element will be updated with the given value.

  Specified by:
    `setDelivery` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### removeDelivery

    public MessagePropertiesType<T> removeDelivery()

  Removes the `delivery` element

  Specified by:
    `removeDelivery` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### getDelivery

    public java.lang.String getDelivery()

  Returns the `delivery` element

  Specified by:
    `getDelivery` in interface `MessagePropertiesType<T>`
  Returns:
    the node defined for the element `delivery`

### setPriority

    public MessagePropertiesType<T> setPriority(java.lang.Integer priority)

  If not already created, a new `priority` element with the given value will be created. Otherwise, the existing `priority` element will be updated with the given value.

  Specified by:
    `setPriority` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### removePriority

    public MessagePropertiesType<T> removePriority()

  Removes the `priority` element

  Specified by:
    `removePriority` in interface `MessagePropertiesType<T>`
  Returns:
    the current instance of `MessagePropertiesType`

### getPriority

    public java.lang.Integer getPriority()

  Returns the `priority` element

  Specified by:
    `getPriority` in interface `MessagePropertiesType<T>`
  Returns:
    the node defined for the element `priority`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD